Package org.apache.commons.math3.analysis

# Interface MultivariateVectorFunction

All Known Subinterfaces:
  `DifferentiableMultivariateVectorFunction`, `MultivariateDifferentiableVectorFunction`

All Known Implementing Classes:
  `GradientFunction`

public interface MultivariateVectorFunction
An interface representing a multivariate vectorial function.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`double[]`
`value(double[] point)`
Compute the value for the function at the given point.

## Method Details

### value

double[] value(double[] point) throws IllegalArgumentException
Compute the value for the function at the given point.

Parameters:
  `point` - point at which the function must be evaluated
Returns:
  function value for the given point
Throws:
  `IllegalArgumentException` - if point's dimension is wrong